<?php 
session_start();
require "priprav-obsah.php"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <title><?php echo $title; ?></title>
      <style type="text/css" media="all">@import "css/style.css";</style> 
      <link rel="shortcut icon" href="images/favicon.ico" />
      <meta name="robots" content="index,follow" />
      <meta name="description" content="<?php echo $metapopis; ?>" />
      <meta name="keywords" content="<?php echo $klicovaslova; ?>" />
   </head>
   <body>
      <div id="obalStranky">
         <div id="hlavicka">
            <div id="logo">
               <a href="index.php" /><img src="obrazky/logo.png" /></a>
            </div>
            <div id="nadpisy">
            	<h1>Programování WWW stránek pro úplné začátečníky</h1>
                <h2>...a statické stránky se změní na dynamické</h2>
            </div>
         </div> 
         <div id="stred">
            <div id="levySloupec">
               <div id="menu">
                  <a href="index.php"><div class="menuLink">Domov</div></a>
                  <a href="index.php?page=o-nas"><div class="menuLink">O nás</div></a>
                  <a href="index.php?page=kontakt"><div class="menuLink">Kontakt</div></a>
               </div>
            </div>
            <div id="obsah">
               <h3><?php echo $nazev; ?></h3>
               <p><?php echo $text; ?></p>
               <?php 
			   if($_GET['page']=="kontakt"){
				   	require "kontakt.php";
			   };
			   ?>
            </div>
            <div style="clear:both;"></div>
         </div> 
         <div id="paticka">
            Ukázka ke knize: <strong>Programování WWW stránek pro úplné začátečníky</strong>
         </div> 
      </div>
   </body>
</html>


<?php /*

Tento soubor je součástí ukázkových kódů ke knize Programování WWW stránek pro úplné začátečníky. 
Více informaci o knize naleznete na adrese http://knihy.cpress.cz/k1868. 

© 2011 Všechna práva vyhrazena.

*/ ?>