-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Počítač: localhost
-- Vygenerováno: Sobota 05. listopadu 2011, 21:05
-- Verze MySQL: 5.1.41
-- Verze PHP: 5.3.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáze: `dynamicka`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `admini`
--

CREATE TABLE IF NOT EXISTS `admini` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `login` varchar(10) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `heslo` varchar(40) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Vypisuji data pro tabulku `admini`
--

INSERT INTO `admini` (`id`, `login`, `heslo`) VALUES
(1, 'admin', '0298cb5e46eb6e67f14fa382f3ddb157bac81266');

-- --------------------------------------------------------

--
-- Struktura tabulky `foto`
--

CREATE TABLE IF NOT EXISTS `foto` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nazev` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `nazev` (`nazev`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Vypisuji data pro tabulku `foto`
--


-- --------------------------------------------------------

--
-- Struktura tabulky `knihanavstev`
--

CREATE TABLE IF NOT EXISTS `knihanavstev` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `jmeno` varchar(30) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `text` text CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `cas` int(11) NOT NULL,
  `zobrazovat` int(1) NOT NULL,
  `pokontrole` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Vypisuji data pro tabulku `knihanavstev`
--


-- --------------------------------------------------------

--
-- Struktura tabulky `texty`
--

CREATE TABLE IF NOT EXISTS `texty` (
  `idtextu` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nazev` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `urlnazev` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `klicovaslova` varchar(100) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `metapopis` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `text` text CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`idtextu`),
  UNIQUE KEY `urlnazev` (`urlnazev`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Vypisuji data pro tabulku `texty`
--

INSERT INTO `texty` (`idtextu`, `nazev`, `urlnazev`, `klicovaslova`, `metapopis`, `text`) VALUES
(1, 'Úvodní stránka', 'index', 'úvod', 'Úvodní stránka testovacích stránek', 'Vítejte na naší úvodní stránce!'),
(2, 'O nás', 'o-nas', 'testovací aplikace', 'Podstránka, kde se dočtete něco o nás', 'Předělávame statické stránky na dynamické.'),
(3, 'Kontakt', 'kontakt', 'kontakt', 'Kontaktujte nás prostřednictvím formuláře, který jsme sami vytvořili.', 'Můžete nás kontaktovat přes tento formulář:'),
(4, 'Error 404', 'error404', 'neexistuje', 'Požadovaná stránka neexistuje.', 'Litujeme, ale požadovaná stránka neexistuje.'),
(5, 'Pokusný text', 'pokus', 'pokusný text, ', 'Tohle je pouze pokusný text. Neberte ho příliš vážně.', 'Tohle je pouze pokusný text pro ověření fungování vkládání nových textů. Jinou pointu nemá.'),
(6, 'Fotogalerie', 'fotogalerie', 'fotky, galerie', 'Prohlédněte si naši fotogalerii!', 'Prohlédněte si naši fotogalerii!'),
(7, 'Kniha návštěv', 'kniha-navstev', 'kniha, návštěvy', 'Přidejte také Vaše zkušenosti!', 'Řekli o nás:');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
